#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <getopt.h>
#include <string.h>
#include "sysfs.h"
#include "si.h"

struct si_temp_data {

};

/**
 *	temp_init - Check arguments and allocate private data structures.
 *	@a:	Session data.
 */

static int temp_init(struct si_action * a)
{
	struct si_temp_data * data;
	int error;

	if (a->a_argc < 2 || a->a_argc > 4)
		return -EINVAL;

	data = calloc(1, sizeof(struct si_temp_data));
	if (!data)
		return -ENOMEM;
	
	a->a_data = data;
	return 0;
}


static int temp_exec(struct si_action * a)
{
	struct si_temp_data * data = a->a_data;
	int error = 0;

	return error;
}

static void temp_exit(struct si_action * a)
{
	struct si_temp_data * data = a->a_data;

	a->a_data = NULL;
	free(data);
}

static const char * temp_help = "Template Help";
static const char * temp_usage = "<object>";

decl_cmd(temp);

